﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;

namespace WPF_Sample
{
	public partial class Window1 : Window
	{
		public string TextData { get; set; }
		
		public ObservableCollection<SomeData> Data { get; set; }
		
		public Window1()
		{
			InitializeComponent();
			TextData = "test";
			//здесь мы эмулируем генерацию и обработку данных
			Data = new ObservableCollection<SomeData>
			{
				new SomeData {Name = "Винт М8", Qty = 100, Price = 5, Param1 = "20 mm", Param2 = "Сталь", IsPackaged = true},
				new SomeData {Name = "Винт М8", Qty = 100, Price = 5, Param1 = "25 mm", Param2 = "Нержавейка", IsPackaged = true},
				new SomeData {Name = "Винт М10", Qty = 100, Price = 5, Param1 = "30 mm", Param2 = "Сталь", IsPackaged = false},
				new SomeData {Name = "Винт М10", Qty = 100, Price = 5, Param1 = "40 mm", Param2 = "Нержавейка", IsPackaged = true},
				new SomeData {Name = "Винт М12", Qty = 100, Price = 5, Param1 = "30 mm", Param2 = "Сталь", IsPackaged = false},
				new SomeData {Name = "Винт М12", Qty = 100, Price = 5, Param1 = "60 mm", Param2 = "Нержавейка", IsPackaged = false},
				new SomeData {Name = "Винт М14", Qty = 100, Price = 5, Param1 = "50 mm", Param2 = "Сталь", IsPackaged = false},
				new SomeData {Name = "Винт М14", Qty = 100, Price = 5, Param1 = "55 mm", Param2 = "Нержавейка", IsPackaged = true}
			};
			DataContext = this;
		}
	}
	
	public class SomeData
	{
		public string Name { get; set; }
		public int Qty { get; set; }
		public decimal Price { get; set; }
		
		public string Param1 { get; set; }
		public string Param2 { get; set; }
		
		public bool IsPackaged { get; set; }
	}
}